package cn.com.infosec.asn1.cmp;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1Null;
import cn.com.infosec.asn1.DERObject;

public class PKIConfirmContent extends ASN1Encodable {
   private ASN1Null val;

   private PKIConfirmContent(ASN1Null val) {
      this.val = val;
   }

   public static PKIConfirmContent getInstance(Object o) {
      if (o instanceof PKIConfirmContent) {
         return (PKIConfirmContent)o;
      } else if (o instanceof ASN1Null) {
         return new PKIConfirmContent((ASN1Null)o);
      } else {
         throw new IllegalArgumentException("Invalid object: " + o.getClass().getName());
      }
   }

   public DERObject toASN1Object() {
      return this.val;
   }
}
